# AbstractEffect Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void AbstractEffect()

### Constructor Properties

- prototype: The AbstractEffect prototype object

### Prototype Object Properties

- Object parameterValue(EffectParameter arg__1)
- List parameters()
- void setParameterValue(EffectParameter arg__1, Object newValue)

### Instance Properties

AbstractEffect objects have no special properties beyond those inherited from the AbstractEffect prototype object.